Bug 1677320 - Cannot connect to xrdp server
Summary: Cannot connect to xrdp server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: freerdp
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Simone Caronni
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-14 14:25 UTC by Ian Collier
Modified: 2019-04-05 01:54 UTC (History)
5 users (show)

Fixed In Version: freerdp-2.0.0-48.20190228gitce386c8.fc29 freerdp-2.0.0-49.20190304git435872b.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-02 01:47:06 UTC


Attachments (Terms of Use)

Description Ian Collier 2019-02-14 14:25:03 UTC
Using freerdp-2.0.0-47.rc4.fc28.x86_64 I cannot connect to a Fedora server running xrdp. This worked using freerdp-2.0.0-41.20180405gita9ecd6a.fc28.x86_64.

The working version said: 

[14:08:02:386] [20569:20570] [INFO][com.freerdp.client.common.cmdline] - loading channelEx cliprdr
[14:08:02:389] [20569:20570] [INFO][com.freerdp.client.x11] - No user name set. - Using login name: imc
[14:08:02:416] [20569:20570] [INFO][com.freerdp.client.x11] - Property 375 does not exist
[14:08:02:713] [20569:20570] [INFO][com.freerdp.gdi] - Local framebuffer format  PIXEL_FORMAT_BGRX32
[14:08:02:713] [20569:20570] [INFO][com.freerdp.gdi] - Remote framebuffer format PIXEL_FORMAT_RGB16
[14:08:03:333] [20569:20570] [INFO][com.winpr.clipboard] - initialized POSIX local file subsystem

The non-working version says:

[14:12:43:614] [23590:23591] [INFO][com.freerdp.client.common.cmdline] - loading channelEx cliprdr
[14:12:43:614] [23590:23591] [INFO][com.freerdp.client.x11] - No user name set. - Using login name: imc
[14:12:43:617] [23590:23591] [INFO][com.freerdp.client.x11] - Property 375 does not exist
[14:12:43:702] [23590:23591] [INFO][com.freerdp.gdi] - Local framebuffer format  PIXEL_FORMAT_BGRX32
[14:12:43:702] [23590:23591] [INFO][com.freerdp.gdi] - Remote framebuffer format PIXEL_FORMAT_RGB16
[14:12:45:143] [23590:23591] [INFO][com.winpr.clipboard] - initialized POSIX local file subsystem
[14:12:45:149] [23590:23591] [ERROR][com.freerdp.core.update] - [0x03] Cache Glyph - SERVER BUG: The support for this feature was not announced! Use /relax-order-checks to ignore
[14:12:45:149] [23590:23591] [ERROR][com.freerdp.core.update] - order flags 03 failed
[14:12:45:149] [23590:23591] [ERROR][com.freerdp.core.fastpath] - Fastpath update Orders [0] failed, status 0
[14:12:45:149] [23590:23591] [ERROR][com.freerdp.core.fastpath] - fastpath_recv_update() - -1
[14:12:45:149] [23590:23591] [ERROR][com.freerdp.core.fastpath] - fastpath_recv_update_data() fail
[14:12:45:149] [23590:23591] [ERROR][com.freerdp.core.transport] - transport_check_fds: transport->ReceiveCallback() - -3
[14:12:45:149] [23590:23591] [ERROR][com.freerdp.core] - freerdp_check_fds() failed - 0
[14:12:45:149] [23590:23591] [INFO][com.freerdp.client.common] - Network disconnect!
[14:12:45:149] [23590:23591] [ERROR][com.freerdp.client.x11] - Failed to check FreeRDP file descriptor

... and the window pops up for an instant, then disappears.  If I add
the flag /relax-order-checks like it says in one of the above messages,
the only visible effect is that it no longer tells me to add that flag;
everything else is the same.

Comment 1 Fedora Update System 2019-02-28 19:42:50 UTC
freerdp-2.0.0-48.20190228gitce386c8.fc29 remmina-1.3.3-1.fc29 gnome-boxes-3.30.3-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e3b2885a25

Comment 2 Fedora Update System 2019-02-28 19:43:16 UTC
freerdp-2.0.0-48.20190228gitce386c8.fc28 remmina-1.3.3-1.fc28 gnome-boxes-3.28.5-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b2d986c3e9

Comment 3 Fedora Update System 2019-03-01 03:36:05 UTC
freerdp-2.0.0-48.20190228gitce386c8.fc29, gnome-boxes-3.30.3-2.fc29, pidgin-sipe-1.24.0-3.fc29, remmina-1.3.3-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e3b2885a25

Comment 4 Fedora Update System 2019-03-01 22:23:23 UTC
freerdp-2.0.0-48.20190228gitce386c8.fc28, gnome-boxes-3.28.5-2.fc28, pidgin-sipe-1.24.0-3.fc28, remmina-1.3.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b2d986c3e9

Comment 5 Fedora Update System 2019-03-02 01:47:06 UTC
freerdp-2.0.0-48.20190228gitce386c8.fc29, gnome-boxes-3.30.3-2.fc29, pidgin-sipe-1.24.0-3.fc29, remmina-1.3.3-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2019-03-06 06:21:13 UTC
freerdp-2.0.0-49.20190304git435872b.fc28 gnome-boxes-3.28.5-2.fc28 pidgin-sipe-1.24.0-3.fc28 remmina-1.3.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b2d986c3e9

Comment 7 Fedora Update System 2019-03-06 15:12:46 UTC
freerdp-2.0.0-49.20190304git435872b.fc28, gnome-boxes-3.28.5-2.fc28, pidgin-sipe-1.24.0-3.fc28, remmina-1.3.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b2d986c3e9

Comment 8 Fedora Update System 2019-04-05 01:54:43 UTC
freerdp-2.0.0-49.20190304git435872b.fc28, gnome-boxes-3.28.5-2.fc28, pidgin-sipe-1.24.0-3.fc28, remmina-1.3.3-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.